Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBaseAnnotations.PropertyValue

    @Retention(value=RUNTIME)
    public static @interface TaskBaseAnnotations.PropertyValue

Provides a single value for a single property with a given name.

Optional Element Summary
`String` | `name` The name of a user property to set.
`SystemProperty` | `sysProp` The SystemProperty enum value for the system property to set.
`String` | `value` Specifies the value for a property.
`boolean` | `valueIsNull` Indicates if the value field is intended to be null.
`boolean` | `valueIsSet` Indicates if the ‘set’ flag for this property should be set true or not.

### name

    public abstract String name

  The name of a user property to set.

  Default:
    ""

### sysProp

    public abstract SystemProperty sysProp

  The SystemProperty enum value for the system property to set. This is mutually exclusive with the name field, and if name is set, this field is ignored.

  Default:
    TASK_NAME

### value

    public abstract String value

  Specifies the value for a property. Parameter markers can be used to combine parameter values from the method with static text in the annotation. If parameter markers and static text are used, the effective runtime value will be a String object, and must be in the default value format for the given data type. If the value consists of a single parameter marker and no static text, the effective runtime value will be the value of the parameter indicated in the marker. If the effective value is assignment compatible with the value object of the data type, the parameter value will be taken directly. Otherwise, the the value must be a String and will be assumed to be in the default value format for the data type.

  Default:
    ""

### valueIsNull

    public abstract boolean valueIsNull

  Indicates if the value field is intended to be null. Annotation fields do not reliably return null when not set.

  Default:
    false

### valueIsSet

    public abstract boolean valueIsSet

  Indicates if the ‘set’ flag for this property should be set true or not.

  Default:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT